package cn.im.trafficlinkage.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.im.trafficlinkage.model.TrafficdevicehisstateBean;

@Repository("trafficdevicehisstateDao")
public class TrafficdevicehisstateDao  extends SqlMapClientDaoSupport{

	@Autowired 
    private SqlMapClient sqlMapClient;  
      
	@PostConstruct          
    public  void initSqlMapClient(){  
    	super.setSqlMapClient(sqlMapClient);      
    }
	
	
	/**
	 * 增加记录
	 */
	public void insert_Trafficdevicehisstate(TrafficdevicehisstateBean hisBean) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Trafficdevicehisstate",hisBean);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Trafficdevicehisstate(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batch_insert_Trafficdevicehisstate",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	/*
	public Integer update_Trafficdevicehisstate(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Trafficdevicehisstate",map);
	}
	*/
	
	/**
	 * 删除记录
	 */
	/*
	public Integer delete_Trafficdevicehisstate(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Trafficdevicehisstate",map);
	}
	*/
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Trafficdevicehisstate(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("batch_delete_Trafficdevicehisstate",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	/*
	public Integer count_Trafficdevicehisstate(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Trafficdevicehisstate",map);
	}
	*/
	
	/**
	 * 查询列表记录
	 */
	
	/*
	public List<Map> query_Trafficdevicehisstate(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Trafficdevicehisstate",map);
	}
	*/
	
	/**
	 * 查询列表记录
	 */
	/*
	public Map get_Trafficdevicehisstate(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("query_Trafficdevicehisstate",map);
	}
	*/
	public Map getExecStateHisState(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("getExecStateHisState",map);
	}
}
